//
//  YKPrinterConst.h
//  YKPrinterKit
//
//  Created by YK on 2022/5/10.
//

#ifndef YKPrinterConst_h
#define YKPrinterConst_h

// 打印机类型
typedef NS_ENUM(NSInteger, YKPrinterType) {
    YKPrinterTypeUnknown = 0,               // 未知设备
    YKPrinterType200DPI  = 1,               // 星星机200dpi
    YKPrinterType300DPI  = 2,               // 星星机300dpi
    YKPrinterTypeTP2     = 3,               // 星星机二代300dpi (旧版）
    YKPrinterTypeTRP1    = 4,               // 星星机二代300dpi (新版)
    YKPrinterTypeTP2_SZ  = 5,               // 星星机 钢琴款200dpi
    YKPrinterTypeTP4     = 6,               // TP4
    YKPrinterTypeLP1     = 7,               // 标签机lp1
    YKPrinterTypeLP2     = 8,               // 标签机lp2
    YKPrinterTypeA4      = 9,               // A4
    YKPrinterTypeTP200   = 10,              // A4碳带款，300dpi
    YKPrinterTypeTP6     = 11,              // TP6,TP6-S
    YKPrinterTypeT202    = 12               // 云打印机器。不用蓝牙来进行数据传输
};


// 打印机DPI（打印宽度）
typedef NS_ENUM(NSInteger, YKPrinterWidthDot) {
    YKPrinterWidthDot_100          = 96,
    YKPrinterWidthDot_384          = 384,
    YKPrinterWidthDot_576          = 576,
    YKPrinterWidthDot_864          = 864,  // 3寸
    YKPrinterWidthDot_1280         = 1280,  // TP4
    YKPrinterWidthDot_1728         = 1680,  //A4: 1728
    YKPrinterWidthDot_2748         = 2480   // a4:300dpi
};

// 打印机连接状态
typedef NS_ENUM(NSInteger, YKPrinterConnectionState) {
    YKPrinterConnectionState_Disconnected = 0,    // 连接断开
    YKPrinterConnectionState_Connected,           // 已经连接
    YKPrinterConnectionState_Connecting,          // 连接中
};

// 打印机打印状态
typedef NS_ENUM(NSInteger, YKPrinterPrintState) {
    YKPrinterPrintState_Error = 0,           // 发生错误
    YKPrinterPrintState_Printing,            // 打印中
    YKPrinterPrintState_PrintEnd,            // 打印结束
};

// 打印机打印浓度
typedef NS_ENUM(NSInteger, YKPrinterDensity) {
    YKPrinterDensity_Low = 0,            //淡
    YKPrinterDensity_Middle,             //适中
    YKPrinterDensity_High,               //浓
};


typedef NS_ENUM(NSInteger, YKTP4PaperSize) {
    YKTP4PaperSizeInch2 = 0,            // 2寸
    YKTP4PaperSizeInch3,                // 3寸
    YKTP4PaperSizeInch4                 // 4寸
};

#endif /* YKPrinterConst_h */
