//
//  YKWiFiDeviceHelper.h
//  YKPrinterKit
//
//  Created by YK on 2022/8/11.
//
/**
 * 这个类只适合T202型号的机器
 * T202不需要用蓝牙传输数据，只需要蓝牙来获取wifi信息
 * 只有是T202型号的机器才对它进行使用
 */
#import <Foundation/Foundation.h>
#import <YKPrinterKit/YKPrinter.h>
#import <CoreBluetooth/CoreBluetooth.h>

NS_ASSUME_NONNULL_BEGIN

typedef void(^YKWiFiDeviceHelperBackBlock)(YKPrinter *device);
@interface YKWiFiDeviceHelper : NSObject

@property (nonatomic, strong, readonly) NSArray *peripheralArray;

+ (instancetype)helper;

/** 开始扫描 */
- (void)startScan:(YKWiFiDeviceHelperBackBlock)device;

/** 停止扫描 */
- (void)stopScan;

// 断开蓝牙
- (void)disConnected:(CBPeripheral *)peripheral;
@end

NS_ASSUME_NONNULL_END
